发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:47:31

[原文]PHP remote file inclusion vulnerability in CzarNews 1.13b allows remote attackers to execute arbitrary PHP code via the tpath parameter to (1) headlines.php or (2) news.php. NOTE: some sources have reported the "dir" parameter as being affected; however, this is likely a cut-and-paste error from the wrong section of the original vulnerability report. Also, the news.php version was later reported to be in 1.12 through 1.14.


        CzarNews 1.13b中存在PHP远程文件包含漏洞,远程攻击者可以通过传给(1)headlines.php或(2)news.php的参数来执行任意PHP代码。注:一些信息来源报告"dir"参数也受影响;然而,这可能是原始漏洞报告中错误章节中的剪切和粘贴错误。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  XF  czarnews-multiple-scripts-file-include(19765)
(UNKNOWN)  BID  18411
(UNKNOWN)  BID  12857
(UNKNOWN)  XF  czarnews-news-config-file-include(27733)

- 漏洞信息

高危 输入验证
2005-05-02 00:00:00 2006-09-28 00:00:00
        CzarNews 1.13b中存在PHP远程文件包含漏洞,远程攻击者可以通过传给(1)headlines.php或(2)news.php的参数来执行任意PHP代码。注:一些信息来源报告"dir"参数也受影响;然而,这可能是原始漏洞报告中错误章节中的剪切和粘贴错误。

- 公告与补丁


- 漏洞信息

CzarNews headlines.php Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

CzarNews contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to headlines.php not properly sanitizing user input supplied to the 'tpath' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2005-03-18 Unknow
2005-03-18 Unknow

- 解决方案

Upgrade to version 1.14 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

CzarNews Remote File Include Vulnerability
Input Validation Error 12857
Yes No
2005-03-21 12:00:00 2006-06-14 07:16:00
Discovery is credited to Frank 'brOmstar' Reissner.

- 受影响的程序版本

CzarNews CzarNews 1.13 b
CzarNews CzarNews 1.14

- 漏洞讨论

CzarNews is prone to a remote file-include vulnerability.

An attacker may leverage this issue to execute arbitrary server-side script code on an affected computer with the privileges of the webserver process. This may facilitate unauthorized access.

CzarNews 1.13b is reported vulnerable; other versions may be affected as well.

- 漏洞利用

An exploit is not required.

Proof-of-concept examples are available:

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at:

- 相关参考